package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.Date;

/**
 * 专辑收藏表
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
@ApiModel(value = "album_favorite-专辑收藏表")
public class AlbumFavorite extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("user_id_")
    @ApiModelProperty(value = "用户ID(目前只是学生ID)")
    private Long userId;  //用户ID(目前只是学生ID)

    @TableField("album_id_")
    @ApiModelProperty(value = "专辑ID")
    private Long albumId;  //专辑ID

    @TableField("favorite_time_")
    @ApiModelProperty(value = "收藏时间")
    private java.util.Date favoriteTime;  //收藏时间

    @TableField("favorite_flag_")
    @ApiModelProperty(value = "是否收藏")
    private Integer favoriteFlag;  //是否收藏


	public AlbumFavorite setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public AlbumFavorite setUserId(Long userId) {
	    this.userId = userId;
	    return this;
	}

	public Long getUserId() {
	    return this.userId;
	}

	public AlbumFavorite setAlbumId(Long albumId) {
	    this.albumId = albumId;
	    return this;
	}

	public Long getAlbumId() {
	    return this.albumId;
	}

	public AlbumFavorite setFavoriteTime(java.util.Date favoriteTime) {
	    this.favoriteTime = favoriteTime;
	    return this;
	}

	public java.util.Date getFavoriteTime() {
	    return this.favoriteTime;
	}

	public AlbumFavorite setFavoriteFlag(Integer favoriteFlag) {
	    this.favoriteFlag = favoriteFlag;
	    return this;
	}

	public Integer getFavoriteFlag() {
	    return this.favoriteFlag;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}